#ifndef __cmdline__
#define __cmdline__
/*****
  command line parser interface -- generated by clig 
  (http://wsd.iitb.fhg.de/~geg/clighome/)

  The command line parser `clig':
  (C) 1995-2004 Harald Kirsch (clig@geggus.net)
*****/

typedef struct s_Cmdline {
  /***** --blr: <base-filename> <local-filename> <remote-filename>
Try a full (base->local to remote) merge */
  char do_blrmergeP;
  char* *do_blrmerge;
  int do_blrmergeC;
  /***** -o: <output_file>
Store the mx3d result onto the specified file */
  char output_fileP;
  char* output_file;
  int output_fileC;
  /***** --hashcmp: <line1> <line2> ... <lineN>
Do a hash compare between 4 or more lines. */
  char do_hashcmpP;
  char* *do_hashcmp;
  int do_hashcmpC;
  /***** -v: be verbose, output debug information */
  char be_verboseP;
  /***** --test-plugin: try to load the split-lines plugin */
  char test_pluginP;
  /***** --help: show usage information */
  char show_helpP;
  /***** uninterpreted command line parameters */
  int argc;
  /*@null*/char **argv;
  /***** the whole command line concatenated */
  char *tool;
} Cmdline;


extern char *Program;
extern void usage(void);
extern /*@shared*/Cmdline *parseCmdline(int argc, char **argv);

#endif

